Skip to main content
GET
/
v0
/
accounts
/
{account_id}
/
activity
List account activity
curl --request GET \
  --url https://api.tryarchitect.com/v0/accounts/{account_id}/activity \
  --header 'x-api-key: <api-key>'
{
  "items": [
    {
      "activityId": "<string>",
      "activityType": "account-log-entry",
      "accountId": "<string>",
      "accountLogId": "<string>",
      "prospectId": "<string>",
      "prospectLogId": "<string>",
      "prospectName": "<string>",
      "source": "<string>",
      "type": "<string>",
      "payload": {},
      "idempotencyKey": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "deletedAt": "2023-11-07T05:31:56Z"
    }
  ],
  "totalCount": 4503599627370495,
  "hasMore": true,
  "nextOffset": 4503599627370495
}

Authorizations

x-api-key
string
header
required

API key authentication for the External Actor Gateway

Path Parameters

account_id
string
required

account_id parameter

Query Parameters

includeProspectActivity
string

includeProspectActivity parameter

includeDeleted
string

includeDeleted parameter

limit
number

Number of pages to return (1-100, default 20)

offset
number

offset parameter

Response

200 - application/json

Successful operation

items
object[]
required
totalCount
integer
required
Required range: 0 <= x <= 9007199254740991
hasMore
boolean
required
nextOffset
integer | null
required
Required range: 0 <= x <= 9007199254740991